# bic_bot

Breaking Italy Club bot

## Instructions
* Get a Telegram bot API token ([@botfather](https://t.me/botfather)), allow groups and set the bot [group privacy](https://core.telegram.org/bots#privacy-mode) to off.
* Install bic_bot
    ```bash
    git clone https://gogs.davte.it/Davte/bic_bot.git
    cd bic_bot
    bash ./run_me.sh
    ```
* Add the bot to the BIC chat as administrator
* Write `/set_chat` in the chat
* Send the bot a csv file named "patrons.csv" with patrons' emails
    ```
    person@example.com,
    someone@gmail.com,
    [...]
    ```
  The csv file must be sent periodically.
* [NOT YET IMPLEMENTED] Using Patreon's API, the patrons list will be automatically downloaded from the server
* Users can link their email to their Telegram account automatically. A confirmation email will help to verify the association. When their email gets whitelisted, users are sent an invite link.
  
## Functioning
* Whenever a person joins the chat, the bot will check whether their Telegram account is linked to an email listed in the patrons list. If not, the user will be kicked out.
* Whenever an email is removed from the white list, the linked Telegram account will be kicked out.
* Any user can automatically link their email to their Telegram account. If their email is white-listed, they can join the chat.

## User manual
* Start the bot and write `/email your_email@example.com`
* Click the verification link in the mail (also check the SPAM folder!)
* Wait for the invitation link. It will be available as soon as your patron status is verified by the staff

## Credits
This [davtelepot-based](https://gogs.davte.it/davte/davtelepot) bot has been developed by [@Davte](https://www.davte.it).
No official endorsement has been given by Breaking Italy. 